=encoding utf8

=head1 NAME

Mail::Message::Convert::HtmlFormatText - Convert HTML into Text

=head1 INHERITANCE

 Mail::Message::Convert::HtmlFormatText
   is a Mail::Message::Convert
   is a Mail::Reporter

=head1 SYNOPSIS

  use Mail::Message::Convert::HtmlFormatText;
  my $af = Mail::Message::Convert::HtmlFormatText->new;

  my $plain_body = $af->format($body);

=head1 DESCRIPTION

Convert HTML/XHTML message body objects into plain text bodies using
HTML::FormatText.  This package requires HTML::TreeBuilder and
HTML::FormatText which are not installed by default together with
L<Mail::Box|Mail::Box>.  See also L<Mail::Message::rebuild()|Mail::Message::Construct::Rebuild/"Constructing a message"> with rule
C<text_alternative_for_html>.

This module is a small wrapper around HTML::FormatText.

Extends L<"DESCRIPTION" in Mail::Message::Convert|Mail::Message::Convert/"DESCRIPTION">.

=head1 METHODS

Extends L<"METHODS" in Mail::Message::Convert|Mail::Message::Convert/"METHODS">.

=head2 Constructors

Extends L<"Constructors" in Mail::Message::Convert|Mail::Message::Convert/"Constructors">.

=over 4

=item $class-E<gt>B<new>(%options)

Inherited, see L<Mail::Reporter/"Constructors">

 -Option     --Defined in            --Default
  fields       Mail::Message::Convert  <see description>
  leftmargin                           3
  rightmargin                          72

=over 2

=item fields => $name|$regex|\@names|\@regexes

=item leftmargin => INTEGER

The column of the left margin, passed to the formatter.

=item rightmargin => INTEGER

The column of the right margin, passed to the formatter.

=back

=back

=head2 Attributes

Extends L<"Attributes" in Mail::Message::Convert|Mail::Message::Convert/"Attributes">.

=head2 Converting

Extends L<"Converting" in Mail::Message::Convert|Mail::Message::Convert/"Converting">.

=over 4

=item $obj-E<gt>B<format>($body)

Pass an html/xhtml encoded body, and a plain text body is returned.
Characters are translated into Latin1.

=item $obj-E<gt>B<selectedFields>($head)

Inherited, see L<Mail::Message::Convert/"Converting">

=back

=head2 Error handling

Extends L<"Error handling" in Mail::Message::Convert|Mail::Message::Convert/"Error handling">.

=over 4

=item $obj-E<gt>B<AUTOLOAD>()

Inherited, see L<Mail::Reporter/"Error handling">

=item $obj-E<gt>B<notImplemented>()

Inherited, see L<Mail::Reporter/"Error handling">

=back

=head2 Cleanup

Extends L<"Cleanup" in Mail::Message::Convert|Mail::Message::Convert/"Cleanup">.

=over 4

=item $obj-E<gt>B<DESTROY>()

Inherited, see L<Mail::Reporter/"Cleanup">

=back

=head1 DIAGNOSTICS

=over 4

=item Error: class $package does not implement method $method.

Fatal error: the specific C<$package> (or one of its superclasses) does not
implement this method where it should. This message means that some other
related classes do implement this method however the class at hand does
not.  Probably you should investigate this and probably inform the author
of the package.
Cast by C<notImplemented()>

=back

=head1 SEE ALSO

This module is part of Mail-Message version 4.05,
built on April 10, 2026. Website: F<http://perl.overmeer.net/mailbox/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

